package org.seasar.jsf.runtime;

import org.seasar.framework.xml.TagHandler;
import org.seasar.framework.xml.TagHandlerContext;
import org.seasar.jsf.TaglibConfig;
import org.xml.sax.Attributes;

/**
 * @author higa
 *
 */
public class TaglibTaglibTagHandler extends TagHandler {

	/**
	 * @see org.seasar.framework.xml.sax.handler.TagHandler#start(org.seasar.framework.xml.sax.handler.TagHandlerContext, org.xml.sax.Attributes)
	 */
	public void start(TagHandlerContext context, Attributes attributes) {
		TaglibConfig taglibConfig = new TaglibConfigImpl();
		context.push(taglibConfig);
	}

	/**
	 * @see org.seasar.framework.xml.sax.handler.TagHandler#end(org.seasar.framework.xml.sax.handler.TagHandlerContext, java.lang.String)
	 */
	public void end(TagHandlerContext context, String body) {
		context.pop();
	}

}
